{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Content List</title>
{% endblock meta %}

{% block content %}
<head>
    <style>
        .card {
            position: relative;
            width: 800px;
            height: 50px;
        }
        .click { 
            position: absolute; 
            top: 7px; 
            right: 10px; 
        } 
    </style>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css">
    <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
    <script>
        $(document).ready(function(){
            $('.click').click(function(){
                var retVal = confirm("Are you sure you want to delete?");
                if (retVal == true){
                    alert("Content permanently deleted.");
                    return true;
                } 
                else {
                    return false;
                }
            });
        });
    </script>
</head>
<body>
    <div class="container">
        {%if request.user.is_superuser or request.user.is_pengajar %}
        <a href="add-content/" class="btn-floating btn-large waves-effect waves-light green"><i class="material-icons">add</i>Add Content</a>
        {%endif%}
        {% for i in contents %}
                <div class="card">
                    <form action="{% url 'content:delete_content' i.course.id i.id %}" method="post">
                        <p class="card-title align-items-center d-flex justify-content-center"><a href="{{ i.file }}" target="_blank" rel="noopener noreferrer">{{ i.title }}</a></p>
                        {%if request.user.is_superuser or request.user.is_pengajar %}
                            <button type='submit' class="click btn red">Delete</button>
                        {%endif%}
                    </form>
                </div>
        {% endfor %} 
    </div>  
</body>
{% endblock %}

